Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\Criterion\SectionIdentifier Class Reference

Parser for SectionIdentifier Criterion. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\Criterion\SectionIdentifier:

## Public Member Functions
| __construct (SectionService $sectionService)
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parses input structure to a SectionIdentifier Criterion object. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $sectionService
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for SectionIdentifier Criterion.

Definition at line 18 of file Core/REST/Server/Input/Parser/Criterion/SectionIdentifier.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\SectionIdentifier::__construct | ( | SectionService | $sectionService | ) |

Definition at line 27 of file Core/REST/Server/Input/Parser/Criterion/SectionIdentifier.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Criterion\SectionIdentifier\$sectionService.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\SectionIdentifier::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parses input structure to a SectionIdentifier Criterion object.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Exceptions

Definition at line 42 of file Core/REST/Server/Input/Parser/Criterion/SectionIdentifier.php.

## Member Data Documentation

## ◆ $sectionService

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\SectionIdentifier::$sectionService
| protected

Definition at line 25 of file Core/REST/Server/Input/Parser/Criterion/SectionIdentifier.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\SectionIdentifier\__construct().

The documentation for this class was generated from the following file:

- Core/REST/Server/Input/Parser/Criterion/SectionIdentifier.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.